# Method: contactGroups.list

- [HTTP request](https://developers.google.com/people/api/rest/v1/contactGroups/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/people/api/rest/v1/contactGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/people/api/rest/v1/contactGroups/list#body.request_body)
- [Response body](https://developers.google.com/people/api/rest/v1/contactGroups/list#body.response_body)
  - [JSON representation](https://developers.google.com/people/api/rest/v1/contactGroups/list#body.ListContactGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/people/api/rest/v1/contactGroups/list#body.aspect)
- [Try it!](https://developers.google.com/people/api/rest/v1/contactGroups/list#try-it)

List all contact groups owned by the authenticated user. Members of the contact groups are not populated.

### HTTP request

`GET https://people.googleapis.com/v1/contactGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` Optional. The nextPageToken value returned from a previous call to [contactGroups.list](https://developers.google.com/people/api/rest/v1/contactgroups/list). Requests the next page of resources. |
| `pageSize` | `integer` Optional. The maximum number of resources to return. Valid values are between 1 and 1000, inclusive. Defaults to 30 if not set or set to 0. |
| `syncToken` | `string` Optional. A sync token, returned by a previous call to `contactgroups.list`. Only resources changed since the sync token was created will be returned. |
| `groupFields` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Optional. A field mask to restrict which fields on the group are returned. Defaults to `metadata`, `groupType`, `memberCount`, and `name` if not set or set to empty. Valid fields are: - clientData - groupType - memberCount - metadata - name |

### Request body

The request body must be empty.

### Response body

The response to a list contact groups request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "contactGroups": [ { object (`https://developers.google.com/people/api/rest/v1/contactGroups#ContactGroup`) } ], "totalItems": integer, "nextPageToken": string, "nextSyncToken": string } ``` |

| Fields ||
|---|---|
| `contactGroups[]` | ``object (`https://developers.google.com/people/api/rest/v1/contactGroups#ContactGroup`)`` The list of contact groups. Members of the contact groups are not populated. |
| `totalItems` | `integer` The total number of items in the list without pagination. |
| `nextPageToken` | `string` The token that can be used to retrieve the next page of results. |
| `nextSyncToken` | `string` The token that can be used to retrieve changes since the last request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contacts`
- `https://www.googleapis.com/auth/contacts.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).